#!/bin/sh
#
# RedHat:
# chkconfig: 2345 90 10
# description: QoS Reverse Proxy
#
# SuSE:
### BEGIN INIT INFO
# Provides: qosrp
# Required-Start: $network $named $syslog
# Required-Stop: $network
# Default-Start: 3 5
# Default-Stop: 0 1 2 6
# Description: QoS Reverse Proxy
### END INIT INFO
#

PATH=$PATH:/bin:/usr/bin

case "$1" in
    start)
        cd <QOSBASEDIR>/bin;./startserver.sh
        ;;
    stop)
        cd <QOSBASEDIR>/bin;./stopserver.sh
        ;;
    *)
        if [ "`uname -s`" = "AIX" ]; then
            $0 start
        else
            echo "Unknown flag passed to $0."
            echo "Usage: $0 {start, stop}"
        fi
esac
